# Uses of Interface
org.eclipse.pde.core.plugin.IPluginBase

Packages that use IPluginBase
Package
Description
org.eclipse.pde.core
Application programming interfaces for working with PDE's models.
org.eclipse.pde.core.plugin
Application programming interfaces for working with PDE's model of plug-ins.

## Uses of IPluginBase in org.eclipse.pde.core

Methods in org.eclipse.pde.core with parameters of type IPluginBase
Modifier and Type
Method
Description
`IPath`
IPluginSourcePathLocator.`locateSource(IPluginBase plugin)`

## Uses of IPluginBase in org.eclipse.pde.core.plugin

Subinterfaces of IPluginBase in org.eclipse.pde.core.plugin
Modifier and Type
Interface
Description
`interface`
`IFragment`
A model object that represents the content of the fragment.xml file.
`interface`
`IPlugin`
A model object that represents the content of the plugin.xml file.
Methods in org.eclipse.pde.core.plugin that return IPluginBase
Modifier and Type
Method
Description
`IPluginBase`
IPluginModelBase.`createPluginBase()`
Creates and return a top-level plugin model object
`IPluginBase`
IPluginModelBase.`getPluginBase()`
Returns a top-level model object.
`IPluginBase`
IPluginModelBase.`getPluginBase(boolean createIfMissing)`
Returns a top-level model object.
`IPluginBase`
IPluginObject.`getPluginBase()`
Returns the top-level model object.